<?php
class AddedInfoFieldToSettingsTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_info_field_to_settings_table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_site_settings_site_settings' => array(
					'info' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8mb4_unicode_ci', 'charset' => 'utf8mb4', 'after' => 'value'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_site_settings_site_settings' => array('info'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
